> ## Documentation Index
> Fetch the complete documentation index at: https://openworklabs.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List generated Artifact views for a Workflow



## OpenAPI

````yaml /openapi.json get /v1/workflows/{configObjectId}/views
openapi: 3.1.0
info:
  title: Den API
  description: >-
    OpenAPI spec for the Den control plane API.


    Authentication:

    - Use `Authorization: Bearer <session-token>` for user-authenticated routes
    that require a Den session.

    - Use `x-api-key: <den-api-key>` for API-key-authenticated routes that
    accept organization API keys.

    - Public routes like health and documentation do not require authentication.


    Swagger tip: use the security schemes in the Authorize dialog to set either
    `bearerAuth` or `denApiKey` before trying protected endpoints.
  version: dev
servers:
  - url: http://api.den.local
security: []
tags:
  - name: System
    description: Service health and operational routes.
  - name: Organizations
    description: Top-level organization creation and context routes.
  - name: Invitations
    description: Invitation preview, acceptance, creation, and cancellation routes.
  - name: API Keys
    description: Organization API key management routes.
  - name: SCIM
    description: Organization SCIM connector management routes.
  - name: SSO
    description: Organization single sign-on connector management routes.
  - name: Members
    description: Organization member management routes.
  - name: Roles
    description: Organization custom role management routes.
  - name: Teams
    description: Organization team management routes.
  - name: Templates
    description: Organization shared template routes.
  - name: LLM Providers
    description: Organization LLM provider catalog, configuration, and access routes.
  - name: Workers
    description: Worker lifecycle, billing, and runtime routes.
  - name: Worker Runtime
    description: Worker runtime inspection and upgrade routes.
  - name: Worker Activity
    description: Worker heartbeat and activity reporting routes.
  - name: Telemetry
    description: Telemetry event ingestion and adoption analytics.
  - name: Admin
    description: Administrative reporting routes.
  - name: Users
    description: Current user and membership routes.
  - name: Bootstrap
    description: Agent-first provisional workspace setup routes.
paths:
  /v1/workflows/{configObjectId}/views:
    get:
      tags:
        - Workflows
      summary: List generated Artifact views for a Workflow
      operationId: getV1WorkflowsByConfigObjectIdViews
      parameters:
        - schema:
            type: string
          in: path
          name: configObjectId
          required: true
      responses:
        '200':
          description: Artifact views returned.
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          minLength: 1
                          maxLength: 160
                        configObjectId:
                          type: string
                          minLength: 1
                          maxLength: 160
                        title:
                          type: string
                          minLength: 1
                          maxLength: 255
                        description:
                          anyOf:
                            - type: string
                              maxLength: 2000
                            - type: 'null'
                        status:
                          type: string
                          enum:
                            - active
                            - retired
                        activeRevisionId:
                          anyOf:
                            - type: string
                              minLength: 1
                              maxLength: 160
                            - type: 'null'
                        revisions:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                                minLength: 1
                                maxLength: 160
                              artifactViewId:
                                type: string
                                minLength: 1
                                maxLength: 160
                              resourceUri:
                                type: string
                                pattern: ^ui:\/\/openwork\/artifacts\/.*
                              buildStatus:
                                type: string
                                enum:
                                  - ready
                                  - failed
                              sourceDigest:
                                type: string
                                pattern: ^sha256:[a-f0-9]{64}$
                              resourceDigest:
                                anyOf:
                                  - type: string
                                    pattern: ^sha256:[a-f0-9]{64}$
                                  - type: 'null'
                              outputSchemaDigest:
                                type: string
                                pattern: ^sha256:[a-f0-9]{64}$
                              csp:
                                type: object
                                properties:
                                  connectDomains:
                                    minItems: 0
                                    maxItems: 0
                                    type: array
                                    items:
                                      type: string
                                  resourceDomains:
                                    minItems: 0
                                    maxItems: 0
                                    type: array
                                    items:
                                      type: string
                                  frameDomains:
                                    minItems: 0
                                    maxItems: 0
                                    type: array
                                    items:
                                      type: string
                                  baseUriDomains:
                                    minItems: 0
                                    maxItems: 0
                                    type: array
                                    items:
                                      type: string
                                required:
                                  - connectDomains
                                  - resourceDomains
                                  - frameDomains
                                  - baseUriDomains
                              diagnostics:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    level:
                                      type: string
                                      enum:
                                        - error
                                        - warning
                                    message:
                                      type: string
                                      minLength: 1
                                      maxLength: 4000
                                    line:
                                      anyOf:
                                        - type: integer
                                          exclusiveMinimum: 0
                                          maximum: 9007199254740991
                                        - type: 'null'
                                    column:
                                      anyOf:
                                        - type: integer
                                          minimum: 0
                                          maximum: 9007199254740991
                                        - type: 'null'
                                  required:
                                    - level
                                    - message
                                    - line
                                    - column
                              compilerName:
                                type: string
                                minLength: 1
                              compilerVersion:
                                type: string
                                minLength: 1
                              reactVersion:
                                type: string
                                minLength: 1
                              compiledHtmlBytes:
                                anyOf:
                                  - type: integer
                                    minimum: 0
                                    maximum: 9007199254740991
                                  - type: 'null'
                              retiredAt:
                                anyOf:
                                  - type: string
                                    format: date-time
                                    pattern: >-
                                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                                  - type: 'null'
                              createdAt:
                                type: string
                                format: date-time
                                pattern: >-
                                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                            required:
                              - id
                              - artifactViewId
                              - resourceUri
                              - buildStatus
                              - sourceDigest
                              - resourceDigest
                              - outputSchemaDigest
                              - csp
                              - diagnostics
                              - compilerName
                              - compilerVersion
                              - reactVersion
                              - compiledHtmlBytes
                              - retiredAt
                              - createdAt
                        createdAt:
                          type: string
                          format: date-time
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                        updatedAt:
                          type: string
                          format: date-time
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                      required:
                        - id
                        - configObjectId
                        - title
                        - description
                        - status
                        - activeRevisionId
                        - revisions
                        - createdAt
                        - updatedAt
                required:
                  - items

````